Apple Airport Extreme Beacon Frame Handling Remote DoS Vulnerability

Apple Airport Extreme Beacon Frame Handling Remote Denial of Service Vulnerability


A vulnerability has been identified in Apple Airport Extreme, which could be exploited by remote attackers to cause a denial of service. This flaw is due to an error when handling malformed beacon frames, which could be exploited by attackers within range of a Wi-Fi station to cause a kernel panic, creating a denial of service condition.


Affected Products
Apple Mac OS X version 10.4.8 and prior
Apple Airport Extreme version 0.1.27 and prior


Solution
The FrSIRT is not aware of any official supplied patch for this issue.


References
http://www.frsirt.com/english/advisories/2006/4822
http://projects.info-pull.com/mokb/MOKB-30-11-2006.html

Leave a Reply